package com.izouma.awesomeadmin.service;

import java.util.*;
import com.izouma.awesomeadmin.dto.Page;
import com.izouma.awesomeadmin.model.ProductComment;


/**
*  service接口类
*/
public interface ProductCommentService{

    List<ProductComment> getProductCommentList(ProductComment record);

    List<ProductComment> getProductCommentByPage(Page page, ProductComment record);

    ProductComment getProductCommentById(String id);

    ProductComment getProductComment(ProductComment record);

    boolean createProductComment(ProductComment record);

    boolean deleteProductComment(String id);

    boolean updateProductComment(ProductComment record);

    ProductComment getCount(ProductComment record);
}

